Realtime Avatar

List avatars

GET
/api/v1/avatars

List all avatars in your tenant. Requires scope avatars:read.

AuthorizationBearer <token>

TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/avatars"
{  "data": [    {      "id": "string",      "tenantId": "string",      "displayName": "string",      "sourceKind": "image",      "modelId": "string",      "sourceAssetId": "string",      "status": "draft",      "defaultVoiceId": "string",      "cacheManifestId": "string",      "cacheVersion": 0,      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}